Metadot

Well after my experience in installing uPortal, I’m off to another contender: Metadot.  Once again the documentation is rather sketchy.  It says perl but the latest version of Metadot is a Ruby on Rails app.

Required Packages:
Apache2 Perl Mod_Perl Mysql

apt-get install ruby rake ferret mysql-server mysql-client mysql-common libmysqlclient-dev bundler ruby-dev

Ok… seriously, I’m not a ROR programmer either but even I know about Bundle.  Well, it won’t even build with Rake – probably because something is the wrong version.

Back to the drawing board.

 

Advertisements